Subject: 23.0.90; wrong-type-argument in vc-dir

From: robert <[email-masked]>
Date: Thu, 19 Feb 2009 14:21:16 +0000

If I run vc-dir in a svn controlled directory called 'Test Networks'
(with the internal space but not the quotes!), I get a wrong-type-argument
error, with the following traceback - 

Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
  ewoc-data(nil)
  vc-dir-node-directory(nil)

when I don't have debug-on-error set to t the *vc-dir* process never
completes.

In GNU Emacs 23.0.90.4 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-02-16 on robert-laptop
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: VC dir

Minor modes in effect:
  diff-auto-refine-mode: t
  desktop-save-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  show-paren-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t